Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.media.sound
Class SF2Soundbank

    java.lang.Object
      com.sun.media.sound.SF2Soundbank

All Implemented Interfaces:
  javax.sound.midi.Soundbank

    public class SF2Soundbank

extends java.lang.Object
implements javax.sound.midi.Soundbank

A SoundFont 2.04 soundbank reader. Based on SoundFont 2.04 specification from:

http://developer.creative.com
http://www.soundfont.com/ ;

Author:
  Karl Helgason

Constructor Summary
`SF2Soundbank()`
`SF2Soundbank(java.io.File file)`
`SF2Soundbank(java.io.InputStream inputstream)`
`SF2Soundbank(java.net.URL url)`

Method Summary
`void` | `addInstrument(SF2Instrument resource)`
`void` | `addResource(javax.sound.midi.SoundbankResource resource)`
`java.lang.String` | `getCreationDate()`
`java.lang.String` | `getDescription()`
`javax.sound.midi.Instrument` | `getInstrument(javax.sound.midi.Patch patch)`
`SF2Instrument[]` | `getInstruments()`
`SF2Layer[]` | `getLayers()`
`java.lang.String` | `getName()`
`java.lang.String` | `getProduct()`
`javax.sound.midi.SoundbankResource[]` | `getResources()`
`java.lang.String` | `getRomName()`
`int` | `getRomVersionMajor()`
`int` | `getRomVersionMinor()`
`SF2Sample[]` | `getSamples()`
`java.lang.String` | `getTargetEngine()`
`java.lang.String` | `getTools()`
`java.lang.String` | `getVendor()`
`java.lang.String` | `getVersion()`
`void` | `removeInstrument(SF2Instrument resource)`
`void` | `removeResource(javax.sound.midi.SoundbankResource resource)`
`void` | `save(java.io.File file)`
`void` | `save(java.io.OutputStream out)`
`void` | `save(java.lang.String name)`
`void` | `setCreationDate(java.lang.String creationDate)`
`void` | `setDescription(java.lang.String s)`
`void` | `setName(java.lang.String s)`
`void` | `setProduct(java.lang.String product)`
`void` | `setRomName(java.lang.String romName)`
`void` | `setRomVersionMajor(int romVersionMajor)`
`void` | `setRomVersionMinor(int romVersionMinor)`
`void` | `setTargetEngine(java.lang.String targetEngine)`
`void` | `setTools(java.lang.String tools)`
`void` | `setVendor(java.lang.String s)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SF2Soundbank

    public SF2Soundbank()

### SF2Soundbank

    public SF2Soundbank(java.net.URL url)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### SF2Soundbank

    public SF2Soundbank(java.io.File file)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

### SF2Soundbank

    public SF2Soundbank(java.io.InputStream inputstream)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### save

    public void save(java.lang.String name)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.OutputStream out)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `javax.sound.midi.Soundbank`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `javax.sound.midi.Soundbank`

### getVendor

    public java.lang.String getVendor()

  Specified by:
    `getVendor` in interface `javax.sound.midi.Soundbank`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `javax.sound.midi.Soundbank`

### setName

    public void setName(java.lang.String s)

### setVendor

    public void setVendor(java.lang.String s)

### setDescription

    public void setDescription(java.lang.String s)

### getResources

    public javax.sound.midi.SoundbankResource[] getResources()

  Specified by:
    `getResources` in interface `javax.sound.midi.Soundbank`

### getInstruments

    public SF2Instrument[] getInstruments()

  Specified by:
    `getInstruments` in interface `javax.sound.midi.Soundbank`

### getLayers

    public SF2Layer[] getLayers()

### getSamples

    public SF2Sample[] getSamples()

### getInstrument

    public javax.sound.midi.Instrument getInstrument(javax.sound.midi.Patch patch)

  Specified by:
    `getInstrument` in interface `javax.sound.midi.Soundbank`

### getCreationDate

    public java.lang.String getCreationDate()

### setCreationDate

    public void setCreationDate(java.lang.String creationDate)

### getProduct

    public java.lang.String getProduct()

### setProduct

    public void setProduct(java.lang.String product)

### getRomName

    public java.lang.String getRomName()

### setRomName

    public void setRomName(java.lang.String romName)

### getRomVersionMajor

    public int getRomVersionMajor()

### setRomVersionMajor

    public void setRomVersionMajor(int romVersionMajor)

### getRomVersionMinor

    public int getRomVersionMinor()

### setRomVersionMinor

    public void setRomVersionMinor(int romVersionMinor)

### getTargetEngine

    public java.lang.String getTargetEngine()

### setTargetEngine

    public void setTargetEngine(java.lang.String targetEngine)

### getTools

    public java.lang.String getTools()

### setTools

    public void setTools(java.lang.String tools)

### addResource

    public void addResource(javax.sound.midi.SoundbankResource resource)

### removeResource

    public void removeResource(javax.sound.midi.SoundbankResource resource)

### addInstrument

    public void addInstrument(SF2Instrument resource)

### removeInstrument

    public void removeInstrument(SF2Instrument resource)

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD